import picounicorn

picounicorn.init()
w = 16
h = 7
colour_table = [[255,0,0], [0,255,0], [0, 0, 255], [0, 255, 255], [255, 0, 255], [255, 255, 0], [255, 255, 255]]
couleur_drapeau = [[0, 0, 255], [255, 255, 255], [255, 0, 0]]

#Allumer l'afficheur
for x in range (w):
    for y in range(h):
        r,g,b = colour_table[y]
        picounicorn.set_pixel(x, y, r, g, b)
        
print ("Appuyer sur le bouton A")
# Attendre l'appui sur le bouton A
while not picounicorn.is_pressed(picounicorn.BUTTON_A):
    pass

# Effacer l'afficheur
for x in range (w):
    for y in range(h):
        picounicorn.set_pixel(x, y, 0, 0, 0)
        
# Afficher le drapeau
largeur = 5  # Nombre de LED par couleur
couleurs = 3 # Nombre de couleurs du drapeau
for c in range (couleurs):
    for n in range (largeur):
        for y in range (h):
            r, g, b = couleur_drapeau[c]
            x = (c*5)+n
            picounicorn.set_pixel(x, y, r, g, b)
            
print ("Appuyer sur le bouton B")
# Attendre l'appui sur le bouton A
while not picounicorn.is_pressed(picounicorn.BUTTON_B):
    pass        
        
# Effacer l'afficheur
for x in range (w):
    for y in range(h):
        picounicorn.set_pixel(x, y, 0, 0, 0)
        
print ("Fin du programme")


